Skip to Content

Deployments

Deployments represent a specific build and release of an application. Each deploy creates a new deployment record with build logs, status, and metadata.

Endpoints

MethodPathDescription
GET/api/v1/applications/:appId/deploymentsList deployments for an application
POST/api/v1/applications/:appId/deployments/syncCheck if a new deploy is needed (git changes)
GET/api/v1/deployments/:idGet deployment by ID
GET/api/v1/deployments/:id/logsGet deployment logs
GET/api/v1/deployments/:id/runtime-logsGet deployment runtime logs
GET/api/v1/deployments/:id/build-logsGet build logs

To trigger a new deployment, use the application lifecycle endpoint:

curl -X POST /api/v1/applications/:id/deploy \ -H "x-lnchr-key: <key>"

To rollback to a previous deployment:

curl -X POST /api/v1/applications/:id/rollback \ -H "x-lnchr-key: <key>"
Last updated on